AMULEWEB(1)

IZENA
amuleweb - aMule web zerbitzaria

LABURPENA
amuleweb [-h <ostalaria>] [-p <ataka>] [-P <pasahitza>] [-f <bidea>] [-q] [-v] [-l <hizkuntza>] [-w] [-t <izena>] [-s <ataka>] [-z] [-Z] [-A <pasahitza>] [-G <pasahitza>] [-a] [-d] [-L] [-N]

amuleweb [-f <bidea>] --create-config-from=<bidea>

amuleweb [--help] [--version]

amuleweb --amule-config-file=<bidea>

amuleweb --no-php

AZALPENA
amuleweb-ek web nabigatzaile baten bidezko zure sarrera kudetzaen du. amuleweb amule(1)-ekin batera edo beranduago edozein momentutan abiarazi dezakezu. Aukerak komando lerro edo konfigurazio fitxategiaren bidez ezarri daitezke. Komando lerro aukerak konfigurazio fitxategiarenen aurretik erabiltzen dira.

-h, --host=<ostalaria>
    Amule abiarazirik dagoen ostalaria (lehenetsia: localhost). <ostalaria> IP helbide edo DNS izen bat izan behar da.

-p, --port=<ataka>
    aMule-ren kanpo konexioetarako ataka, Hobespenak->Urruneko Kontrolak atalean ezarririk dagoen bezala (lehenetsia: 4712)

-P, --password=<pasahitza>
    Kanpo Konexioetarako pasahitza

-f, --config-file=<bidea>
    emandako konfigurazio fitxategia erabili. Lehenetsiriko konfigurazio fitxategia ~/.aMule/remote.conf da.

-q, --quiet
    ez irteerarik inprimatu irteera estandarrean. -q erabili dezakezu web zerbitzaria deabru bezala erabiltzeko, adib 'amuleweb -q &'

-v, --verbose
    luzea izan - arazpen mezuak ere ikusi

-l, --locale=<hizkuntza>
    Programaren lokalak ezartzen ditu (hizkuntza). OHARRAK atala irakurri <hizkuntza> parametroaz gehiago jakiteko.

-w, --write-config
    komando lerroko aukerak konfigurazio fitxategian gorde eta irten

--create-config-from=<bidea>
    konfigurazio fitxategia <bidea> oinarriturik egin, zein aMule konfigurazio fitxategiaren bidea izan behar da eta irten

-t, --template=<izena>
    <izena> izeneko txantiloia kargarzen du. Ikusi: GAI ONARPENA

-s, --server-port=<ataka>
    Web zerbitzariaren HTTP ataka. Nabigatzailean irekitzeko erabiliko den ataka (lehenetsia: 4711)

-z, --enable-gzip
    HTTP trafikoan sare zabalera aurrezteko gzip konpresioa gaitu

-Z, --disable-gzip
    gzip konpresioa erabiltzea ezgaitu (lehenespena)

-A, --admin-pass=<pasahitza>
    web zerbitzariaren sarrera osorako pasahitza

-G, --guest-pass=<pasahitza>
    web zerbitzariaren gonbidatu pasahitza

-a, --allow-guest
    Gonbidatu sarrera onartu

-d, --deny-guest
    Gonbidatu sarrera ezgaitu (lehenespena)

-L, --load-settings
    Webzerbitzari ezarpenak urruneko aMuletik/aMulen kargatu/gorde. Honek amuleweb-ek komando lerroko eta konfigurazio fitxategiko ezarpenak alde batetara uztea eta aMule-tik kargatzea eragiten du. Hobespenak gordetzerakoan konfigurazio fitxategian beharrean aMule-n gordeko dira. (Noski. honek ezarpen hauetarako bakarrik funtzionatzen du, aMule-ren Hobespenak->Urruneko Kontrolean ezarri daitezke)

-N, --no-script-cache
    PHP orriak eskaera bakoitzean birkonpilatu

--amule-config-file=<bidea>
    aMule konfigurazio fitxategiaren bidea. EZ ZUZENEAN ERABILI aMule-k aukera hau amuleweb aMulerekin batera abiaraztean erabiltzen du. Aukera honek komando lerroko eta konfigruazio fitxategiko ezarpenak alde batetara uztea eragiten du, hobespenak emandako konfigurazio fitxategitik irakurriko dira, eta -q -L aukerak ere adierazten ditu.

--help
    Erabilera laguntza argibideak bisatarazi eta irten

--version
    Programa bertsio argibideak bistarazi eta irten

OHARRAK

  Bideak
Fitxategi bat bide absolutua eman gabe ezarri ezkero ((Adib. fitxategi izen arrunta, --path=remote.conf bezalakoa), orduan fitxategi hori aMule konfigurazio direktorioan (~/.aMule) bilatuko da.

  Hizkuntzak
-l aukeraren <hizkuntza> parametroa hurrengo formatukoa da: hizkuntza[_HIZKUNTZA][.kodeketa][@aldagaia] non hizkuntza hizkuntza nagusia, HIZKUNTZA azpihizkuntz/kokapena, kodeketak karkatere jokoa diren eta aldagaia-k erabiltzaileari kategoria hizkuntza aldagaiak erabiltzeko aukera ematen du"

Adibdiez, hurrengo kateak egokiak dira:
eu
eu_FR
eu_ES.iso88591
de_DE@euro
de_DE.iso88591@euro

Kontutan izan goiko kate guztiak hizkuntz definizio zuzenak direla nahi ez kodeketak eta aldagaia erabili.

Goiko formatuaz gain, hizkuntzaren Ingelesezko izen osoaz ere ezarri dezakezu - beraz -l german egokia da eta -l de_DE erabiltzearen berdina da.

Ez denean konfigurazio fitxategian edo komando lerroan lokalik ezartzen sistemaren lehenetsia erabiliko da.

GAI ONARPENA
amuleweb informazio gai ezberdinetan erakusteko gai da. Gai hauek txantiloi deitzen dira, amuleweb-ek txantiloi bat kargatzeko -t komando lerroaren bidez. Txantiloiak bi kokapenetan bilatzen dira: lehenik ~/.aMule/webserver/-ean eta gero $(pkgdatadir)/webserver/-en ($(pkgdatadir) arkitekturatik independiente diren datuen instalazio kokapena da, normalena /usr/share/amule antzeko zerbait). Txantiloi bakoitza bere izen berdineko azpikarpeta batetan egon behar da, eta azpikarpeta honek gaiak behar dituen fitxategi guztiak eduki behar ditu. Erabiltzen ari den txantiloi izena aMule.tmpl izan behar da.

Adibidez, lehenetsiriko txantiloia ('default' izekoa) webserver/default/-en dago eta direktorio honek aMule.tmpl etairudi fitxategi anitz ditu.

FITXATEGIAK
~/.aMule/remote.conf
~/.aMule/webserver/
$(pkgdatadir)/webserver/

ADIBIDEA
Normalean amuleweb lehenengoz horrela abiarazi behar da:

amuleweb -h ostalaria -p ECataka -P ECpasahitza -s HTTPataka -A AdminPasahitza -w

edo

amuleweb --create-config-from=/home/username/.aMule/amule.conf

Honek ezarpenak $HOME/.aMule/remote.conf-en gordeko ditu eta gero hau egin beharko duzu:

amuleweb

Noski lehenengo adibidean bainon aukera gehiago edo gutxiago erabili ditzazkezu edo aukerarik gabe abiarazi.

ZORRIEN BERRI EMATEN
Mesedez zorrien berri emateko gure foroa (http://forum.amule.org/), edo gure zorri kudeatzai$Mesedez ez eman zorrien berri epostaz, ez gure eposta zerrendan ez taldeko partaideei.

COPYRIGHT
aMule eta inguruneko lanabes guztiak GNU Lizentzia Publiko Orokorraz banatzen dira.

IKUSI ERE
amule(1), amulecmd(1)